Edit Brand
curl --request PUT \
--url https://ss.game-services.work/platform/api/brands/{uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://ss.game-services.work/platform/api/brands/{uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ss.game-services.work/platform/api/brands/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
RGS API
Edit Brand
Update brand parameters for an existing brand.
Edit Brand

PUT /platform/api/brands/
- All non-optional parameter values that you send will be updated. Copy values from the existing brand configuration carefully.
- For security reasons, betTemplateUuid and jackpotUuid cannot be modified. Contact an administrator if these need to be changed.
Headers
| Name | Type | Description |
|---|---|---|
| Authorization | string | Bearer token authorization header (format: Bearer your_token_here) |
Path Parameters
| Name | Type | Description |
|---|---|---|
| uuid | string | UUID of the brand to update |
Request Parameters
| Name | Type | Description | |
|---|---|---|---|
| name | string | Yes | Brand name |
| maxWin | number | No | Maximum win limit for brand players |
| payout | number | No | Brand payout percentage |
| apiKey | string | Yes | Public RGS API access key |
| server | string | Yes | Wallet server URL |
| authHeader | string | Yes | Authentication token for wallet requests |
Response
Returns HTTP 200 status code on success with no response body.Possible Errors
| messageKey | message |
|---|---|
| error.brand.already.exists | Brand with name = [$name] already exists |
| error.brand.api.key.already.exists | Brand with api key = [$apiKey] already exists |
| error.bet.template.not.found | Bet template not found by uuid=[$uuid] |
| error.operator.id.not.found | Operator not found by id=[$id] |
| error.user.no.access.operator | User[uuid = $userUuid] has no access to Operator[uuid = $operatorUuid] |
⌘I